37

I'm trying to install Lubuntu on my laptop (sorta old 2005). [Laptop stats: Intel® Celeron® CPU 410 @ 1.46 GHz 1.47GHz, 448 MB of RAM]

I press Install and this message appears:

This kernel requires an x86-64 CPU, but only detected an i686 CPU. 
Unable to boot - please use a kernel appropriate for your CPU.

What can I do to install Lubuntu on my computer?

15

Solution : Enable Intel VT-x/AMD-V from BIOS

Source http://hereirestinremorse.wordpress.com/virtualbox/this-kernel-requires-an-x86-64-cpu-but-only-detected-an-i686-cpu-unable-to-boot-please-use-a-kernel-appropriate-for-your-cpu/

If you enable VT-x/AMD-V from BIOS and it still presents this error, try changing your guest settings to Type=Other and Version=Other/Unknown (64-bit).

  • If you have no virtualization option in bios, probably your hardware doesn't support it. sevenforums.com/virtualization/… – raindrop Aug 13 '13 at 11:57
  • 1
    If you enable VT-x/AMD-V from BIOS and it still presents this error, try changing your guest settings to Type=Other and Version=Other/Unknown (64-bit). Enabling all virtualization settings on my Dell Precision 4500 did not solve the problem as I tried to install Ubuntu 14.04, but using the different settings did. – Yardboy Apr 18 '14 at 1:51
  • It's a 32-bit CPU: ark.intel.com/products/27148/… – thomasrutter Jan 3 '18 at 23:33
  • And, obviously, has no VT-x or AMD-V. – thomasrutter Jan 3 '18 at 23:35
11

Download the correct installtion file... you downloaded a 64 bit version but have a 32 bit system.

Get it from here (12.04). Choose PC (Intel x86) desktop CD and not 64-bit PC (AMD64) desktop CD.

14.04 and 16.04.

  • @kalebra The name of the image file to download to create install media for your vintage 32-bit (i36) laptop for the newest release is lubuntu-12.04-desktop-i386.iso. There. I think we've all made that point rather well, don't you think? :-) – irrational John Apr 30 '12 at 17:11
  • The download link is outdated. Look for the last version of 32 bits. – ferrangb Feb 12 '16 at 9:29
  • There it is already up to date for 16.04 too :D – Rinzwind Feb 12 '16 at 9:34
6

You must download x32 version (not x64)

  • Using the 32-bit version initially, I get this error. – Wolfpack'08 Jan 17 '16 at 20:29
2

Select an LUBUNTU image according to your Box.

Choose for 32 bits.

PC (Intel x86) desktop CD

For almost all PCs. This includes most machines with Intel/AMD/etc type processors and almost all computers that run Microsoft Windows, as well as newer Apple Macintosh systems based on Intel processors. Choose this if you are at all unsure.

Choose for 64 bits.

64-bit PC (AMD64) desktop CD

Choose this to take full advantage of computers based on the AMD64 or EM64T architecture (e.g., Athlon64, Opteron, EM64T Xeon, Core 2). If you have a non-64-bit processor made by AMD, or if you need full support for 32-bit code, use the Intel x86 images instead.

2

For anyone getting this issue in a VirtualBox VM, make sure you have the VM version set to Ubuntu (64-bit) and not Ubuntu (32-bit) (or vice-versa if you're using a 32-bit .iso).

Picture of VM version field in a VirtualBox settings dialog

0

Its in the BIOS…press ‘esc’ when you see the Vendor logo and you will reach the pre boot screen from where you can choose the bios..browse around, find Virtualization Technology and Enable it… It will work well.

Not the answer you're looking for? Browse other questions tagged or ask your own question.